#! /bin/bash

# just gonna assume you're executing in the scripts folder

# build the blog files
cd ../blog
CONTENTNUM=$(ls content-* | wc -l )
for ((i=0;i<=$CONTENTNUM;i++))
do
	cat filehead "content-$(printf %03d $i)" "quote-$(printf %03d $i)" > blog-00$i
done
rm filehead content* quote* .blog.*

# clean up non prod files
cd ../
rm -rf .git scripts .index.html.* README.md
find . -type f | xargs chmod 600
find . -type d | xargs chmod 700
